## kf6-kquickcharts 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts

project(KQuickCharts VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)

include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(ECMDeprecationSettings)

option(BUILD_EXAMPLES "Build example applications" OFF)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2 ShaderTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
)

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX KF6QuickCharts
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/quickcharts_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6QuickChartsConfigVersion.cmake"
    SOVERSION 1
)

add_subdirectory(controls)
add_subdirectory(src)

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

configure_package_config_file(
    "KF6QuickChartsConfig.cmake.in"
    "KF6QuickChartsConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QuickCharts
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QuickChartsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QuickChartsConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QuickCharts
    COMPONENT Devel
)

install(EXPORT KF6QuickChartsTargets DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QuickCharts"
        FILE KF6QuickChartsTargets.cmake NAMESPACE KF6:: COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kquickcharts 6.3.0

=== debian/changelog ===
kf6-kquickcharts (6.3.0-1ubuntu1) oracular; urgency=medium

  * Mark several symbols as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Jun 2024 23:19:14 +0100

kf6-kquickcharts (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:54:22 +0200

kf6-kquickcharts (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 14 May 2024 07:28:03 +0200

kf6-kquickcharts (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update watch file.
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Apr 2024 00:42:27 +0200

kquickcharts (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:08:53 +0100

kquickcharts (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:49 +0200

kquickcharts (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:05 +0100

kquickcharts (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:33 +0100

kquickcharts (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:12 +0100

kquickcharts (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Make the tests non-fatal also on hppa.
  * Update standards version to 4.6.2, no changes needed.
  * Mark also the qml-module-qttest build dependency as nocheck, as it is
    needed only by dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2022 15:22:59 +0100

kquickcharts (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:38 +0100

kquickcharts (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:07 +0100

kquickcharts (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:28 +0200

kquickcharts (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:43 +0200

kquickcharts (5.96.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Remove redundant qt5-qmake build dependency, pulled by qtbase5-dev.
  * CI: enable again the blhc job.
  * Remove the unused ${shlibs:Depends} substvar from kquickcharts-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 07 Aug 2022 07:38:19 +0200

kquickcharts (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:11 +0200

kquickcharts (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:08 +0200

kquickcharts (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

kquickcharts (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

kquickcharts (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kquickcharts (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:00:00 +0900

kquickcharts (5.85.0-2) unstable; urgency=medium

  * Release to unstable.



=== debian/control ===
Source: kf6-kquickcharts
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               libkf6declarative-dev,
               libkirigami-dev,
               libxkbcommon-dev,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qml6-module-qttest <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kquickcharts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
Rules-Requires-Root: no

Package: libquickcharts1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Quick Charts
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the core library.

Package: libquickcharts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquickcharts1 (= ${binary:Version}),
         libquickchartscontrols1 (= ${binary:Version}),
         qml6-module-org-kde-quickcharts (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: Quick Charts - development files
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the development files.

Package: libquickchartscontrols1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Quick Charts
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the controls library.

Package: qml6-module-org-kde-quickcharts
Architecture: any
Multi-Arch: same
Depends: libquickcharts1 (= ${binary:Version}),
         libquickchartscontrols1 (= ${binary:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-tooling,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Quick Charts - QML module
 A QtQuick plugin providing high-performance charts (gpu-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contain the runtime QML module.

## kf6-kquickcharts 6.6.0

=== debian/changelog ===
kf6-kquickcharts (6.6.0-3+rpi1) trixie-staging; urgency=medium

  * Update symbols file for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 05 Dec 2024 20:22:50 +0000

kf6-kquickcharts (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Update the list of architectures on which the tests fail:
    - add hppa
    - drop loong64, on where it seems the tests run fine now

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 12:35:11 +0100

kf6-kquickcharts (6.6.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:00:46 +0100

kf6-kquickcharts (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:28 +0200

kf6-kquickcharts (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Add hurd-i386, and hurd-amd64 to the list of architectures on which the
    tests fail; in case of Hurd it is most likely due to the lack of direct
    rendering OpenGL.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Aug 2024 07:05:01 +0200

kf6-kquickcharts (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:08 +0200

kf6-kquickcharts (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Jul 2024 11:00:58 +0200

kf6-kquickcharts (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Allow test-failures on certain archs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Jul 2024 06:11:07 +0200

kf6-kquickcharts (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -10,7 +9,8 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.6.0~),
                libkf6declarative-dev,
                libkirigami-dev,
                libxkbcommon-dev,
@@ -96,12 +96,8 @@
 Multi-Arch: same
 Depends: libquickcharts1 (= ${binary:Version}),
          libquickchartscontrols1 (= ${binary:Version}),
-         qml6-module-org-kde-kirigami,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         qml6-module-qtquick-tooling,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Quick Charts - QML module
  A QtQuick plugin providing high-performance charts (gpu-accelerated).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

testsuite_failing_archs := hppa hurd-amd64 hurd-i386 powerpc riscv64
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel $(fail_param)

## kf6-kquickcharts 6.9.0

=== debian/changelog ===
kf6-kquickcharts (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:48:37 +0000

kf6-kquickcharts (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 12:17:35 +0000

kf6-kquickcharts (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:38:06 +0000

kf6-kquickcharts (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:28 +0100

kf6-kquickcharts (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:14 +0100

kf6-kquickcharts (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -10,9 +11,9 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6declarative-dev,
-               libkirigami-dev,
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6declarative-dev (>= 6.9.0~),
+               libkirigami-dev (>= 6.9.0~),
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
@@ -27,8 +28,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
 Rules-Requires-Root: no
 
 Package: libquickcharts1

## kf6-kquickcharts 6.10.0

=== debian/changelog ===
kf6-kquickcharts (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:08 +0100

kf6-kquickcharts (6.8.0-2) unstable; urgency=medium

  * Team upload.
  * Add alpha to the list of architectures on which the tests fail.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Dec 2024 09:11:14 +0100

kf6-kquickcharts (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:11:30 +0100

kf6-kquickcharts (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2 and 6.6.0-3.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 13:06:50 +0100

kf6-kquickcharts (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:27 -0600

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6declarative-dev (>= 6.9.0~),
-               libkirigami-dev (>= 6.9.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6declarative-dev,
+               libkirigami-dev,
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-shadertools-dev (>= 6.5.0~),
+               qt6-shadertools-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
 Rules-Requires-Root: no
 
 Package: libquickcharts1
@@ -58,7 +57,7 @@
          libquickchartscontrols1 (= ${binary:Version}),
          qml6-module-org-kde-quickcharts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (GPU-accelerated).

## kf6-kquickcharts 6.11.0

=== debian/changelog ===
kf6-kquickcharts (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:23:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libkf6declarative-dev,
                libkirigami-dev,
                libxkbcommon-dev,

## kf6-kquickcharts 6.12.0

=== debian/changelog ===
kf6-kquickcharts (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:54:14 +0000

kf6-kquickcharts (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:49:37 +0000

kf6-kquickcharts (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:20:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6declarative-dev,
-               libkirigami-dev,
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6declarative-dev (>= 6.12.0~),
+               libkirigami-dev (>= 6.12.0~),
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-shadertools-dev (>= 6.6.0~),
+               qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
 Rules-Requires-Root: no
 
 Package: libquickcharts1
@@ -57,7 +58,7 @@
          libquickchartscontrols1 (= ${binary:Version}),
          qml6-module-org-kde-quickcharts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (GPU-accelerated).

## kf6-kquickcharts 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0 NO_MODULE)
+find_package(ECM 6.13.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -33,7 +33,7 @@
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
+    QT 6.9.0
 )
 
 ecm_setup_version(

=== controls/CMakeLists.txt ===

add_library(QuickChartsControls)
set_target_properties(QuickChartsControls PROPERTIES
    SOVERSION ${KF6QuickCharts_SOVERSION}
    VERSION ${KF6QuickCharts_VERSION}
)

ecm_add_qml_module(QuickChartsControls URI "org.kde.quickcharts.controls" VERSION 1.0 DEPENDENCIES QtCore QtQuick GENERATE_PLUGIN_SOURCE)

target_sources(QuickChartsControls PRIVATE
    AxisLabels.cpp
    AxisLabels.h
    GridLines.cpp
    GridLines.h
    LegendLayout.cpp
    LegendLayout.h
    LegendModel.cpp
    LegendModel.h
    LineGridNode.cpp
    LineGridNode.h
)

set_source_files_properties(Theme.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

ecm_target_qml_sources(QuickChartsControls SOURCES
    Legend.qml
    LegendDelegate.qml
    LineChartControl.qml
    PieChartControl.qml
    Theme.qml
    KirigamiTheme.qml
)

target_link_libraries(QuickChartsControls PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
    Qt6::QuickControls2
    QuickCharts
)

ecm_finalize_qml_module(QuickChartsControls DESTINATION ${KDE_INSTALL_QMLDIR})

install(TARGETS QuickChartsControls ${KDE_INSTALL_DEFAULT_ARGUMENTS})

=== debian/changelog ===
kf6-kquickcharts (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6declarative-dev (>= 6.12.0~),
-               libkirigami-dev (>= 6.12.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6declarative-dev,
+               libkirigami-dev,
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-shadertools-dev (>= 6.5.0~),
+               qt6-shadertools-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
 Rules-Requires-Root: no
 
 Package: libquickcharts1
@@ -58,7 +57,7 @@
          libquickchartscontrols1 (= ${binary:Version}),
          qml6-module-org-kde-quickcharts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (GPU-accelerated).

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-testsuite_failing_archs := hppa hurd-amd64 hurd-i386 powerpc riscv64
+testsuite_failing_archs := alpha hppa hurd-amd64 hurd-i386 powerpc riscv64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
   fail_param := || true
 endif

## kf6-kquickcharts 6.16.0

=== debian/changelog ===
kf6-kquickcharts (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:47:07 +0100

kf6-kquickcharts (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:34:56 +0100

kf6-kquickcharts (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:59:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6declarative-dev,
-               libkirigami-dev,
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6declarative-dev (>= 6.16.0~),
+               libkirigami-dev (>= 6.16.0~),
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-shadertools-dev (>= 6.6.0~),
+               qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
 Rules-Requires-Root: no
 
 Package: libquickcharts1
@@ -57,7 +58,7 @@
          libquickchartscontrols1 (= ${binary:Version}),
          qml6-module-org-kde-quickcharts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (GPU-accelerated).

## kf6-kquickcharts 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0 NO_MODULE)
+find_package(ECM 6.17.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -24,16 +24,17 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMQmlModule)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
 option(BUILD_EXAMPLES "Build example applications" OFF)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2 ShaderTools)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
 )
 
 ecm_setup_version(

=== src/CMakeLists.txt ===

add_library(QuickCharts)
set_target_properties(QuickCharts PROPERTIES
    SOVERSION ${KF6QuickCharts_SOVERSION}
    VERSION ${KF6QuickCharts_VERSION}
)

ecm_add_qml_module(QuickCharts
    URI "org.kde.quickcharts"
    VERSION 1.0
    DEPENDENCIES QtQuick
    GENERATE_PLUGIN_SOURCE
    INSTALLED_PLUGIN_TARGET KF6::QuickChartsplugin
)

target_sources(QuickCharts PRIVATE
    BarChart.cpp
    BarChart.h
    Chart.cpp
    Chart.h
    ItemBuilder.cpp
    ItemBuilder.h
    LineChart.cpp
    LineChart.h
    PieChart.cpp
    PieChart.h
    RangeGroup.cpp
    RangeGroup.h
    XYChart.cpp
    XYChart.h
    datasource/ArraySource.cpp
    datasource/ArraySource.h
    datasource/ChartAxisSource.cpp
    datasource/ChartAxisSource.h
    datasource/ChartDataSource.cpp
    datasource/ChartDataSource.h
    datasource/ColorGradientSource.cpp
    datasource/ColorGradientSource.h
    datasource/HistoryProxySource.cpp
    datasource/HistoryProxySource.h
    datasource/MapProxySource.cpp
    datasource/MapProxySource.h
    datasource/ModelSource.cpp
    datasource/ModelSource.h
    datasource/SingleValueSource.cpp
    datasource/SingleValueSource.h
    scenegraph/BarChartMaterial.cpp
    scenegraph/BarChartMaterial.h
    scenegraph/BarChartNode.cpp
    scenegraph/BarChartNode.h
    scenegraph/LineChartMaterial.cpp
    scenegraph/LineChartMaterial.h
    scenegraph/LineChartNode.cpp
    scenegraph/LineChartNode.h
    scenegraph/LineSegmentNode.cpp
    scenegraph/LineSegmentNode.h
    scenegraph/PieChartMaterial.cpp
    scenegraph/PieChartMaterial.h
    scenegraph/PieChartNode.cpp
    scenegraph/PieChartNode.h
    scenegraph/SDFShader.cpp
    scenegraph/SDFShader.h
)

ecm_qt_declare_logging_category(QuickCharts
    HEADER charts_general_logging.h
    IDENTIFIER GENERAL
    CATEGORY_NAME kf.quickcharts.general
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KQuickCharts Library - General"
    EXPORT KQuickCharts
)

ecm_qt_declare_logging_category(QuickCharts
    HEADER charts_datasource_logging.h
    IDENTIFIER DATASOURCE
    CATEGORY_NAME kf.quickcharts.datasource
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KQuickCharts Library - Data Sources"
    EXPORT KQuickCharts
)

ecm_qt_declare_logging_category(QuickCharts
    HEADER charts_deprecated_logging.h
    IDENTIFIER DEPRECATED
    CATEGORY_NAME kf.quickcharts.deprecated
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KQuickCharts Library - Deprecated API"
    EXPORT KQuickCharts
)

target_link_libraries(QuickCharts PUBLIC
    Qt6::Core
    Qt6::Qml
    Qt6::Quick
)

target_include_directories(QuickCharts PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/datasource
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(_extra_args DEBUGINFO)
else()
    set(_extra_args OPTIMIZED)
endif()

qt6_add_shaders(QuickCharts "shaders"
    BATCHABLE
    ZORDER_LOC 6
    PRECOMPILE
    PREFIX "/qt/qml/org/kde/quickcharts/shaders/"
    FILES
        shaders/barchart.vert
        shaders/barchart.frag
        shaders/linechart.vert
        shaders/linechart.frag
        shaders/piechart.vert
        shaders/piechart.frag
    OUTPUTS
        barchart.vert.qsb
        barchart.frag.qsb
        linechart.vert.qsb
        linechart.frag.qsb
        piechart.vert.qsb
        piechart.frag.qsb
    ${_extra_args}
    OUTPUT_TARGETS _out_targets
)

ecm_generate_export_header(QuickCharts
    BASE_NAME QuickCharts
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_generate_qdoc(QuickCharts kquickcharts.qdocconf)

ecm_finalize_qml_module(QuickCharts DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KF6QuickChartsTargets)

ecm_qt_install_logging_categories(EXPORT KQuickCharts DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

install(TARGETS QuickCharts ${_out_targets} EXPORT KF6QuickChartsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kquickcharts (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:17:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6declarative-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6declarative-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-testsuite_failing_archs := alpha hppa hurd-amd64 hurd-i386 powerpc riscv64
+# testsuite_failing_archs := alpha hppa hurd-i386 mips64el powerpc riscv64 x32
+testsuite_failing_archs :=
 ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
   fail_param := || true
 endif

## kf6-kquickcharts 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0 NO_MODULE)
+find_package(ECM 6.18.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kquickcharts (6.18.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Add x32 to the list of architectures on which the tests fail.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 06:55:50 +0200

kf6-kquickcharts (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,40 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6declarative-dev (>= 6.17.0~),
-               libkirigami-dev (>= 6.17.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6declarative-dev,
+               libkirigami-dev,
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-shadertools-dev (>= 6.5.0~),
+               qt6-shadertools-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
 
 Package: libquickcharts1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Quick Charts
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
  .
@@ -58,7 +57,7 @@
          libquickchartscontrols1 (= ${binary:Version}),
          qml6-module-org-kde-quickcharts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
@@ -77,7 +76,8 @@
 Package: libquickchartscontrols1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Quick Charts
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
  .

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# testsuite_failing_archs := alpha hppa hurd-i386 mips64el powerpc riscv64 x32
-testsuite_failing_archs :=
+testsuite_failing_archs := alpha hppa hurd-amd64 hurd-i386 powerpc riscv64 x32
 ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
   fail_param := || true
 endif

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kquickcharts-(.*)\.tar\.xz
